Allow for smaller (fractional) outline width for polygons and line width for lines
Assignee: nobody -

Category:

Pull Request or Patch supplied: Resolution: fixed

Easy fix?: No Copied to github as #: 11028

Description

The Symbology window of the layer properties allow the user to select outline widths from size 1 to 99 as integers. For general purpose

cartography it would be ideal to be able to specify fractional line widths smaller than 1 like .2 or .5.

Currently if the user attempts to manually enter these values the field just ignores the added decimal point so that .5 becomes 5.

This is a very subtle difference but will be useful in fine tuning map products and images exported from QGIS. Because Qgis is becomes

such a powerful and easy to use mapping tool small refinements like this will add value.

As an example of the smallest line widths I could squeeze out of qgis, I have attached two sample images. One is created with QGIS

0.9.2rc1 on mac 10.5 where the blue roads are line width 1, while the other graphic was created with Mapnik 0.5 with line width (set in

Mapnik's XML config) of .5.  It's pretty amazing how similar the graphics are, with the only real difference being the thickness of the QGIS

lines.

History

#1 - 2008-03-04 06:12 PM - springmeyer -

I'm also attaching a third image. This one was created with Mapnik using .1 line width. I took off the white parcel boundaries and changed the road lines to

red to make it clearer. Of course Mapnik's rendering engine is different but I thought this would be a useful comparison to see just how small and delicate

the lines can be rendered with Mapnik.

#2 - 2008-05-15 05:04 PM - Steven Bell -

- Resolution set to fixed

- Status changed from Open to Closed

This is fixed in commit:68cdb3ab (SVN r8441).

#3 - 2009-08-22 12:54 AM - Anonymous

Milestone Version 0.9.2 deleted

Files

test_qgis.png 203 KB 2008-03-04 springmeyer -

test_mapnik.png 174 KB 2008-03-04 springmeyer -

test_mapnik_point1.png 126 KB 2008-03-04 springmeyer -
